#ifndef WIRE_HPP_
#define WIRE_HPP_

#include <Block/SpriteBlock/PipelineBlock/PipelineBlock.hpp>

class Wire : public PipelineBlock
{
public:
    Wire(std::string name, std::string displayName, const char *textureNameFormat);

    virtual bool shouldConnectOnSide(LocalWorld &world, glm::ivec3 pos, Side side) override;
    virtual Wiring& getWiringFor(Chunk &chunk) override;
};

#endif